Skip to main content
POST
/
stream
Stream real-time prices for multiple assets (Deprecated)
curl --request POST \
  --url https://streaming.dexpaprika.com/stream \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "chain": "ethereum",
    "address": "0x7a250d5630B4cF539739dF2C5dAcb4c659F2488D",
    "request_id": 2147483647,
    "filter": {}
  }
]
'
import requests

url = "https://streaming.dexpaprika.com/stream"

payload = [
    {
        "chain": "ethereum",
        "address": "0x7a250d5630B4cF539739dF2C5dAcb4c659F2488D",
        "request_id": 2147483647,
        "filter": {}
    }
]
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify([
    {
      chain: 'ethereum',
      address: '0x7a250d5630B4cF539739dF2C5dAcb4c659F2488D',
      request_id: 2147483647,
      filter: {}
    }
  ])
};

fetch('https://streaming.dexpaprika.com/stream', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "a": "<string>",
  "c": "<string>",
  "p": "<string>",
  "t": "<string>",
  "t_p": "<string>"
}
{
  "message": "asset not found"
}
{
  "message": "asset not found"
}
{
  "message": "asset not found"
}

Query Parameters

limit
integer

Close the stream after this many total events. Omit for an indefinite stream.

Required range: x >= 1

Body

application/json
Maximum array length: 25
chain
string
required

Blockchain network identifier.

Example:

"ethereum"

address
string
required

Token smart contract address.

Example:

"0x7a250d5630B4cF539739dF2C5dAcb4c659F2488D"

method
enum<string>
required

t_p is deprecated and scheduled for removal in 2027. Use token_price.

Available options:
token_price,
t_p
request_id
integer

Optional identifier echoed on each event for this subscription. Defaults to the array index if omitted.

Required range: 0 <= x <= 4294967295
filter
object

Response

Multiplexed SSE stream established.

Deprecated - delivered on the t_p event channel. Scheduled for removal in 2027. Use PriceResponse (event: token_price) instead.

a
string

Token smart contract address (equivalent to address in PriceResponse).

c
string

Blockchain network identifier (equivalent to chain in PriceResponse).

p
string

Token price in USD (equivalent to price in PriceResponse).

t
string

Server ingestion timestamp (equivalent to timestamp in PriceResponse).

t_p
string

Price timestamp (equivalent to timestamp_price in PriceResponse).